<template>
    <st-content heading="Universidad">
    
    <div class="box">
            <st-title text="Datos de la Universidad"/>
            <v-form
                ref="form"
                v-model="valid"
            >
            <div class="fields">
                <v-text-field
                    v-for="(field, index) in fields"
                    v-model="field.value"
                    :counter="field.counter"
                    :rules="field.rules"
                    :label="field.label"
                    :key="index"
                    required
                />

            </div>

            <div class="content-body">
                <input type="file" @change="obtenerImagen" >
                <v-container>
                    <v-row justify="center">
                        <figure>
                            <img with="200" height="200" :src="imagen" alt="Imagen">
                        </figure>
                    </v-row>
                </v-container>
            </div>

            <div class="content-footer">
                <st-primary-btn
                    nombre = "Registrar Universidad"
                    @click="validate"
                    :disable="!valid"
                    :loading="loading"
                />
                </div>
            </v-form>

    </div>

    </st-content>
</template>

<script>



export default {
    data(){
        return{
            loading:false,
            imagenMiniatura:'',
            valid:false,
            image:'',
            fields:{
                nombre:{
                    value:'',
                    label:'Nombre de la Universidad'
                },
                dominio:{
                    value:'',
                    label:'Dominio'
                },
                
            }

        }
    },
    methods:{
        obtenerImagen(e){
            let file = e.target.files[0];
            this.image=file;
            this.cargarImagen(file);

        },

        cargarImagen(file){
            let reader = new FileReader();

            reader.onload = (e) =>{
                this.imagenMiniatura = e.target.result
            }
            reader.readAsBinaryString(file);
            //reader.readAsDataURL(file);
        },
        validate(){
            let field=this.fields

            let extension =this.image.name.split('.').pop()
            let dictionary={
                'nombre':field.nombre.value,
                'dominio':field.dominio.value,
                'extension':extension
            }
            let files={
                'logo':this.imagenMiniatura
            }

            try{    

                let response = this.$api.addUniversity(dictionary,files)
                
            } catch(e){
                this.$store.commit('setError', e)
            }


            

        }
        
    },
    computed:{
        imagen(){
            return this.imagenMiniatura;
        }
    }

    
}
</script>

<style scoped lang="scss">
/* scope for encapsulate css */

</style>